Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class Paint

    java.lang.Object
      LumiSoft.UI.Controls.Paint

    public class Paint

extends java.lang.Object

Paint helper methods.

Constructor Summary
`Paint()`

Method Summary
`static int` | `CalcTextHeight(java.awt.Graphics2D g, java.awt.Font font, java.lang.String text, int width)` Calculates drawing area height.
`static int` | `CalcTextWidth(java.awt.Graphics2D g, java.awt.Font font, java.lang.String text)` Calculates text width.
`static java.awt.Image` | `CreateGrayedImage(java.awt.Component component, java.awt.Image image)`
`static void` | `DrawText(java.awt.Graphics2D g, java.awt.Font font, java.lang.String text, java.awt.Rectangle rect, int hzAlign)` Draws text to specified rectangle with specified alingment.
`static void` | `DrawTriangle(java.awt.Graphics2D g, java.awt.Rectangle rect, int direction)` Draws triangle to specified rectangle with specified direction.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paint

    public Paint()

Method Detail

### CalcTextHeight

    public static int CalcTextHeight(java.awt.Graphics2D g,
                                     java.awt.Font font,
                                     java.lang.String text,
                                     int width)

  Calculates drawing area height.

  Parameters:
    `g` - Graphics object to use for drawing.
    `font` - Font to use.
    `text` - Text to draw.
    `width` - Maximum line width.

### CalcTextWidth

    public static int CalcTextWidth(java.awt.Graphics2D g,
                                    java.awt.Font font,
                                    java.lang.String text)

  Calculates text width.

  Parameters:
    `g` - Graphics object to use for drawing.
    `font` - Font to use.
    `text` - Text to draw.

### DrawText

    public static void DrawText(java.awt.Graphics2D g,
                                java.awt.Font font,
                                java.lang.String text,
                                java.awt.Rectangle rect,
                                int hzAlign)

  Draws text to specified rectangle with specified alingment.

  Parameters:
    `g` - Graphics object to use for drawing.
    `font` - Font to use.
    `text` - Text to draw.
    `rect` - Drawing rectangle.
    `hzAlign` - Horizontal alignment.

### DrawTriangle

    public static void DrawTriangle(java.awt.Graphics2D g,
                                    java.awt.Rectangle rect,
                                    int direction)

  Draws triangle to specified rectangle with specified direction.

  Parameters:
    `g` - Graphics object to use for drawing.
    `rect` - Triangle bounding rectangle.
    `direction` - Triangle top direction.

### CreateGrayedImage

    public static java.awt.Image CreateGrayedImage(java.awt.Component component,
                                                   java.awt.Image image)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD